Get a collection by ID
Deprecated: Use the Collections V2 API. Retrieves a collection with all translations, redirects, and its children (nested collections).
GET
/api/v1/{team_slug}/{app_slug}/collections/{collection_id}deprecatedAuthorization
AuthorizationBearer token · headerrequiredManagement API token, sent as Authorization: Bearer <token>.
Path parameters
app_slugstringrequiredApp slug
team_slugstringrequiredTeam slug
collection_idstringrequiredID of collection
Responses
200
Collection updated successfully
datagithub_com_enadhq_nabbit_internal_pkg_webserver_models.CollectionrequiredShow propertiesHide properties
childrengithub_com_enadhq_nabbit_internal_pkg_webserver_models.Collection[]Show propertiesHide properties
Array of
github_com_enadhq_nabbit_internal_pkg_webserver_models.CollectionCircular reference to
github_com_enadhq_nabbit_internal_pkg_webserver_models.Collection.created_atstringidstringparent_idstring | nullredirectsgithub_com_enadhq_nabbit_internal_pkg_webserver_models.Redirects[] | nullShow propertiesHide properties
Array of
github_com_enadhq_nabbit_internal_pkg_webserver_models.Redirectsidstringitem_idstring | nulllocalestringnew_slugstringold_slugstringtypegithub_com_enadhq_nabbit_internal_pkg_webserver_models.RedirectTypeAllowed:
productpagecollectioncategoryproduct_bundleslugstringrequiredstatusstringrequiredAllowed:
activeinactivedrafttitlestringtranslationsgithub_com_enadhq_nabbit_internal_pkg_webserver_models.CollectionTranslationShow propertiesHide properties
sluggithub_com_enadhq_nabbit_internal_pkg_webserver_models.Translation[] | nullShow propertiesHide properties
Array of
github_com_enadhq_nabbit_internal_pkg_webserver_models.Translationidstringlocalestringvaluestringtitlegithub_com_enadhq_nabbit_internal_pkg_webserver_models.Translation[] | nullupdated_atstring | nulluristringdetailsstring[]Additional contextual information about the response. Used to provide supplementary details beyond the main data payload, such as validation warnings or processing notes
successbooleanrequired400
Invalid request (e.g. bad UUID, validation error)
detailsstring[]messagestringsuccessbooleanrequired401
Unauthorized access
detailsstring[]messagestringsuccessbooleanrequired404
Not found
detailsstring[]messagestringsuccessbooleanrequired422
Invalid request and not parsable by backend
detailsstring[]messagestringsuccessbooleanrequired500
Internal server error
detailsstring[]messagestringsuccessbooleanrequired